Subject: bug#73601: bug#73602: bug#73601: failed to compute the derivation for Guix

From: Simon Tournier <[email-masked]>
Date: Mon, 28 Oct 2024 16:52:49 +0100

Hi,

Sorry for the late reply.

On Mon, 14 Oct 2024 at 14:03, Fabrice Tudoret <[email-masked]> wrote:

>> c) Display the both derivations, as root and as regular user
>>
>>    # guix build -e '(@@ (gnu packages commencement) python-boot0)' -S -d
>
>     [root@cluster24 ~]# guix build -e '(@@ (gnu packages commencement) python-boot0)' -S -d
>     /gnu/store/mbnrrqjizy3dvma9i3l8g5yvzi2p04ys-Python-3.5.9.tar.xz.drv
>
>>
>>    $ guix build -e '(@@ (gnu packages commencement) python-boot0)' -S -d
>
>     [fmenna@cluster24 ~]$  guix build -e '(@@ (gnu packages commencement) python-boot0)' -S -d
>     user with UID 255759 not found
>     /gnu/store/mbnrrqjizy3dvma9i3l8g5yvzi2p04ys-Python-3.5.9.tar.xz.drv
>
> I hope the message "user with UID 255759 not found" has nothing to do 
> with the issue.

Well, this message comes from the Guix daemon (see nix-daemon.cc file):

        /* Open the store. */
        store = std::shared_ptr<StoreAPI>(new LocalStore(reserveSpace));

	if (userId != (uid_t) -1) {
            /* Create the user profile.  */
            struct passwd *pw = getpwuid(userId);
            if (pw != NULL && pw->pw_name != NULL)
                store->createUser(pw->pw_name, userId);
            else
                printMsg(lvlInfo, format("user with UID %1% not found") % userId);
	}

Hum, that’s not clear for me.  The daemon is a beast… Maybe this has an
impact.  For sure, aside Guix, I think it would be better to fix it. :-)

Well, I do not know why but this other message:

    > When I create the user home dir manually, the "guix pull" work's fine. 
    > So the trouble could come from a disorder with the automatic home dir 
    > creation.

    > I wish it's the right track. I keep digging.

spots the light on UID. :-)

Cheers,
simon